#include <bits/stdc++.h>

using namespace std;
int n, l, br;
int niz[1005];

int main(){
    cin >> n >> l;
    for(int i = 1; i <= n; i++){
        cin >> niz[i];
    }
    for(int i = 1; i <= n; i++){
        if(niz[i] <= l){
            cout << i << endl;
            break;
        }
        else {
            br++;
        }
    }
    if(br == n){
        cout << "-1" << endl;
    }
    return 0;
}